package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;

/**
 * 
 * @author tsimao
 * 
 */
public class V8_4_To_V8_5 implements siprp.update.Update
{
	public V8_4_To_V8_5()
	{
	}

	public String[] listChanges()
	{
		return new String[] {
			"Adicionado analisador [prestador] por PrtGruposProtocolo"
		};
	}

	public double getStartVersion()
	{
		return 8.4;
	}

	public double getEndVersion()
	{
		return 8.5;
	}

	public void doUpdate() throws Exception
	{
		DBManager dbm = (DBManager) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = new com.evolute.utils.sql.Update( "ALTER TABLE prt_grupos_protocolo ADD COLUMN analisador_id int4;"
				+ "ALTER TABLE prt_grupos_protocolo ADD CONSTRAINT analisador_id_fkey FOREIGN KEY(analisador_id) REFERENCES prestadores(id);" );
		executer.executeQuery( update );
	}

	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
